Page MenuHomePhabricator

Viewing old revisions and diffs should reset "Updated since last visit" markers only to that point in page history
Closed, ResolvedPublic

Description

On history pages for pages on your watchlist some revisions are marked "updated since my last visit". This used to be reset when you viewed the most recent revision of the page (either by visiting the page itself, or viewing the last revision using its oldid, or viewing diff with the last revision).

This has (at least at Wikimedia Commons) changed recently so that visiting old revisions and diffs not including the last revision also resets the updated markings.

I think it was better the way it was before. If you have not viewed the last revision there are still changes you have not seen. That should be marked in the history page and in your watchlist.


Version: 1.21.x
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54609

Details

Reference
bz41759

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:11 AM
bzimport set Reference to bz41759.
Lejonel created this task.Nov 4 2012, 8:38 AM

sumanah wrote:

Lejonel, can you still reproduce this?

Steven and Oliver, would you agree that this is a high-priority bug?

I'd put it as normal; it's somewhat disruptive to a specific way of working, but it isn't going to break anything and that workflow is in itself relatively new and still getting established. Marking as such now.

(In reply to comment #1)

can you still reproduce this?

Viewing an old revision still removes "Updated since last visit".
But viewing diffs between old revisions seems to have been fixed, it does not remove update markers.

IMHO viewing an old revision (both as a diff and as an old version of that page) should update the markers up to that point. So currently when viewing an old version too many of these markers are removed (i.e. all), viewing a diff removes too few (i.e. none).

I was going to file a bug saying that viewing old revisions (and diffs from revisions you've already seen to revisions you hadn't yet) should update the markers and I've found this. Rephrasing the bug summary a little.

Change 84315 had a related patch set uploaded by Bartosz Dziewoński:
Correctly update wl_notificationtimestamp when viewing old revisions

https://gerrit.wikimedia.org/r/84315

Change 84315 merged by jenkins-bot:
Correctly update wl_notificationtimestamp when viewing old revisions

https://gerrit.wikimedia.org/r/84315

Hooray, merged!

The patch touched a lot of different things in the codebase, so I'm not going to backport it to 1.23 just in case it accidentally broke one of them. Adjusting milestone accordingly.

(I meant to 1.22, of course.)

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptAug 12 2016, 4:54 PM